import request from '@/utils/request'

// 查询计量设备信息列表
export function listBaseMonitorInfo(query) {
  return request({
    url: '/ems/base/baseMonitorInfo/list',
    method: 'get',
    params: query
  })
}

// 查询计量设备信息详细
export function getBaseMonitorInfo(objId) {
  return request({
    url: '/ems/base/baseMonitorInfo/' + objId,
    method: 'get'
  })
}

// 新增计量设备信息
export function addBaseMonitorInfo(data) {
  return request({
    url: '/ems/base/baseMonitorInfo',
    method: 'post',
    data: data
  })
}

// 修改计量设备信息
export function updateBaseMonitorInfo(data) {
  return request({
    url: '/ems/base/baseMonitorInfo',
    method: 'put',
    data: data
  })
}

// 删除计量设备信息
export function delBaseMonitorInfo(objId) {
  return request({
    url: '/ems/base/baseMonitorInfo/' + objId,
    method: 'delete'
  })
}
